<script setup lang="ts">
  import { useSlots } from 'vue';

  const slots = useSlots();
  defineProps<{
    title?: string;
    sublime?: string;
  }>();
</script>

<template>
  <div class="sw-empty-state">
    <div class="mx-auto flex max-w-xl flex-col space-y-4 text-center">
      <div
        v-if="slots.icon"
        class="bg-background-raised text-information-subdued h-18 w-18 mx-auto flex justify-center rounded-full"
      >
        <slot name="icon"></slot>
      </div>
      <slot />
      <div>
        <h3 v-if="title" class="pb-1 text-base font-semibold">
          {{ title }}
        </h3>

        <span v-if="sublime" class="text-information-subdued text-sm/6" v-html="sublime"> </span>
      </div>

      <div v-if="slots.actions">
        <slot name="actions"></slot>
      </div>
    </div>
  </div>
</template>
